Subject: Re: bug#65836: 30.0.50; compiling emacs 30.0.50 fails

From: Niels Søndergaard <[email-masked]>
Date: Tue, 24 Oct 2023 09:48:01 +0200

Hello,
It is still not working, and I wrote sep 9:

Dear Eli,

The build-script is at https://algon.dk/_doc/build.zsh
and the whole log file at https://algon.dk/_doc/Emacs-build-2023-09-09c.log

I don’t think I made any changes in the build-file since last succes compilation at 2023-08-19

med venlig hilsen (with kind regards)
Niels

 I just tried again, and it still comes out with:

sed -n -e '/0xc940/,$ p' < ../../etc/charsets/BIG5.map | awk -f ./big5.awk ) > ../../etc/charsets/BIG5-2.map
cp mapfiles/MULE-ethiopic.map ../../etc/charsets/MULE-ethiopic.map
cp mapfiles/MULE-ipa.map ../../etc/charsets/MULE-ipa.map
cp mapfiles/MULE-is13194.map ../../etc/charsets/MULE-is13194.map
cp mapfiles/MULE-sisheng.map ../../etc/charsets/MULE-sisheng.map
cp mapfiles/MULE-tibetan.map ../../etc/charsets/MULE-tibetan.map
cp mapfiles/MULE-lviscii.map ../../etc/charsets/MULE-lviscii.map
cp mapfiles/MULE-uviscii.map ../../etc/charsets/MULE-uviscii.map
awk -f ./gb180304.awk < ../../etc/charsets/GB180302.map > ../../etc/charsets/GB180304.map
AWK=awk ./mapconv glibc/EUC-JISX0213.gz '/^<.*[ 	]\/x[a-f]/' GLIBC-2-7 \
	  | sed -f ./jisx2131-filter \
	  | sed -e 's/0x2015/0x2014/' -e 's/0x2299/0x29BF/' > ../../etc/charsets/JISX2131.map
echo timestamp > charsets.stamp
make[2]: *** [src] Error 2
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [actual-bootstrap] Error 2
***
*** "make bootstrap" failed with exit status 2.
***
*** You could try to:
*** - run "make extraclean" and run "make" again (or, equivalently, run
***   "make bootstrap configure=default"), to rebuild Emacs with the
***   default configuration options, which might fix the problem
*** - run "git clean -fdx" and run "make bootstrap" again, which might
***   fix the problem if "make bootstrap configure=default" did not
***   !BEWARE! "git clean -fdx" deletes all files that are not under
***   !BEWARE! version control, which means that all changes to such
***   !BEWARE! files will be lost and cannot be restored later
*** - run "make V=1", which displays the full commands invoked by make,
***   to further investigate the problem
*** - report the problem and ask for help by sending an email to
***   [email-masked], mentioning at least the build error
***   message, the platform, and the repository revision displayed by
***   "git rev-parse HEAD"
***
make[1]: *** [advice-on-failure] Error 2
make: *** [bootstrap] Error 2
./build.zsh  94,61s user 37,46s system 86% cpu 2:33,56 total
tee Emacs-build-2023-10-23a.log  0,00s user 0,06s system 0% cpu 2:33,63 total

med venlig hilsen
         Niels

 <about:blank#>
Niels Søndergaard • civilingeniør
Address: Mariehøj 236, 2990 Nivå 
Mobile: +45 4052 2789 <tel:%20%20+45%204052%202789>
Website: algon.dk <https://algon.dk/>
Email: [email-masked] <mailto:[email-masked]>
 <about:blank#> <about:blank#>
Liberty means responsibility. That is why most men dread it.
                                                               — Georg Bernhard Shaw

> Den 23. okt. 2023 kl. 22.04 skrev Stefan Kangas <[email-masked]>:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>> Any idea which command failed?  If you don't know, and if the command
>> used -j (i.e. parallel execution), please show the complete log of the
>> build, not just its last part.
>> 
>> And which commit of the master branch did you use to build?
> 
> More information was requested, but none was given within 6 weeks, so
> I'm closing this bug.  If this is still an issue, please reply to this
> email (use "Reply to all" in your email client) and we can reopen the
> bug report.